var layoutChooseCategory = document.getElementById("layout-choose-category");
var layoutChooseCategoryContainer = document.getElementById("layout-choose-category-container");
layoutChooseCategoryContainer.innerHTML = ""; // clear this element

for(var i = 0; i < categoriesImages.length; i++) {
	var imagePath = categoriesImages[i][0];
	var conDiv = document.createElement("div");
	conDiv.classList.add("thumbnail-container");
	conDiv.classList.add("col-4");
	var imgDiv = document.createElement("div");
	imgDiv.style.backgroundImage = "url('images/categorythumbnails/" + imagePath + "')";
	imgDiv.setAttribute("data-cat-index", i);
	conDiv.appendChild(imgDiv);
	layoutChooseCategoryContainer.appendChild(conDiv);
}


// add click listener
layoutChooseCategory.addEventListener("click", function(ev) {
	var catIndex = ev.target.getAttribute("data-cat-index");
	if(catIndex == null) {
		return;
	}

 	//go to the choose drawings layout
 	showLoadingScreen();
 	hideLayoutChooseCategory();
 	makeDrawingOptions(catIndex);
});

function showLayoutChooseCategory() {
	layoutChooseCategory.style.display = "block";
}

function hideLayoutChooseCategory() {
	layoutChooseCategory.style.display = "none";
}
